
ifneq ($(filter db845c rb5, $(TARGET_DEVICE)),)
ifeq ($(BOARD_USE_CUSTOMIZED_MESA), true)

LOCAL_PATH := $(call my-dir)

ifeq ($(findstring $(EXPECTED_LINARO_VENDOR_VERSION), $(LOCAL_PATH)), $(EXPECTED_LINARO_VENDOR_VERSION))

include $(CLEAR_VARS)
LOCAL_MODULE := libEGL_mesa
LOCAL_MODULE_RELATIVE_PATH := egl
LOCAL_LICENSE_KINDS := SPDX-license-identifier-MIT
LOCAL_LICENSE_CONDITIONS := notice
LOCAL_NOTICE_FILE := $(LOCAL_PATH)/LICENSE
LOCAL_MODULE_CLASS := SHARED_LIBRARIES
LOCAL_VENDOR_MODULE := true
LOCAL_STRIP_MODULE := false
LOCAL_SRC_FILES_arm := lib/$(LOCAL_MODULE_RELATIVE_PATH)/$(LOCAL_MODULE).so
LOCAL_SRC_FILES_arm64 := lib64/$(LOCAL_MODULE_RELATIVE_PATH)/$(LOCAL_MODULE).so
LOCAL_MODULE_PATH_32 := $(TARGET_OUT_VENDOR)/lib/
LOCAL_MODULE_PATH_64 := $(TARGET_OUT_VENDOR)/lib64/
LOCAL_CHECK_ELF_FILES := false
LOCAL_MODULE_SUFFIX := .so
LOCAL_MULTILIB := both
include $(BUILD_PREBUILT)

include $(CLEAR_VARS)
LOCAL_MODULE := libGLESv2_mesa
LOCAL_MODULE_RELATIVE_PATH := egl
LOCAL_LICENSE_KINDS := SPDX-license-identifier-MIT
LOCAL_LICENSE_CONDITIONS := notice
LOCAL_NOTICE_FILE := $(LOCAL_PATH)/LICENSE
LOCAL_MODULE_CLASS := SHARED_LIBRARIES
LOCAL_VENDOR_MODULE := true
LOCAL_STRIP_MODULE := false
LOCAL_SRC_FILES_arm := lib/$(LOCAL_MODULE_RELATIVE_PATH)/$(LOCAL_MODULE).so
LOCAL_SRC_FILES_arm64 := lib64/$(LOCAL_MODULE_RELATIVE_PATH)/$(LOCAL_MODULE).so
LOCAL_MODULE_PATH_32 := $(TARGET_OUT_VENDOR)/lib/
LOCAL_MODULE_PATH_64 := $(TARGET_OUT_VENDOR)/lib64/
LOCAL_CHECK_ELF_FILES := false
LOCAL_MODULE_SUFFIX := .so
LOCAL_MULTILIB := both
include $(BUILD_PREBUILT)


include $(CLEAR_VARS)
LOCAL_MODULE := libGLESv1_CM_mesa
LOCAL_MODULE_RELATIVE_PATH := egl
LOCAL_LICENSE_KINDS := SPDX-license-identifier-MIT
LOCAL_LICENSE_CONDITIONS := notice
LOCAL_NOTICE_FILE := $(LOCAL_PATH)/LICENSE
LOCAL_MODULE_CLASS := SHARED_LIBRARIES
LOCAL_VENDOR_MODULE := true
LOCAL_STRIP_MODULE := false
LOCAL_SRC_FILES_arm := lib/$(LOCAL_MODULE_RELATIVE_PATH)/$(LOCAL_MODULE).so
LOCAL_SRC_FILES_arm64 := lib64/$(LOCAL_MODULE_RELATIVE_PATH)/$(LOCAL_MODULE).so
LOCAL_MODULE_PATH_32 := $(TARGET_OUT_VENDOR)/lib/
LOCAL_MODULE_PATH_64 := $(TARGET_OUT_VENDOR)/lib64/
LOCAL_CHECK_ELF_FILES := false
LOCAL_MODULE_SUFFIX := .so
LOCAL_MULTILIB := both
include $(BUILD_PREBUILT)

include $(CLEAR_VARS)
LOCAL_MODULE := libgallium_dri
LOCAL_MODULE_RELATIVE_PATH := dri
LOCAL_LICENSE_KINDS := SPDX-license-identifier-MIT
LOCAL_LICENSE_CONDITIONS := notice
LOCAL_NOTICE_FILE := $(LOCAL_PATH)/LICENSE
LOCAL_MODULE_CLASS := SHARED_LIBRARIES
LOCAL_VENDOR_MODULE := true
LOCAL_STRIP_MODULE := false
LOCAL_SRC_FILES_arm := lib/$(LOCAL_MODULE_RELATIVE_PATH)/$(LOCAL_MODULE).so
LOCAL_SRC_FILES_arm64 := lib64/$(LOCAL_MODULE_RELATIVE_PATH)/$(LOCAL_MODULE).so
LOCAL_MODULE_PATH_32 := $(TARGET_OUT_VENDOR)/lib/
LOCAL_MODULE_PATH_64 := $(TARGET_OUT_VENDOR)/lib64/
LOCAL_CHECK_ELF_FILES := false
LOCAL_MODULE_SUFFIX := .so
LOCAL_MULTILIB := both
LOCAL_MODULE_SYMLINKS=msm_dri.so
include $(BUILD_PREBUILT)

include $(CLEAR_VARS)
LOCAL_MODULE := vulkan.freedreno
LOCAL_MODULE_RELATIVE_PATH := hw
LOCAL_LICENSE_KINDS := SPDX-license-identifier-MIT
LOCAL_LICENSE_CONDITIONS := notice
LOCAL_NOTICE_FILE := $(LOCAL_PATH)/LICENSE
LOCAL_MODULE_CLASS := SHARED_LIBRARIES
LOCAL_VENDOR_MODULE := true
LOCAL_STRIP_MODULE := false
LOCAL_SRC_FILES_arm := lib/$(LOCAL_MODULE_RELATIVE_PATH)/$(LOCAL_MODULE).so
LOCAL_SRC_FILES_arm64 := lib64/$(LOCAL_MODULE_RELATIVE_PATH)/$(LOCAL_MODULE).so
LOCAL_MODULE_PATH_32 := $(TARGET_OUT_VENDOR)/lib/
LOCAL_MODULE_PATH_64 := $(TARGET_OUT_VENDOR)/lib64/
LOCAL_CHECK_ELF_FILES := false
LOCAL_MODULE_SUFFIX := .so
LOCAL_MULTILIB := both
LOCAL_MODULE_SYMLINKS=$(LOCAL_MODULE)$(LOCAL_MODULE_SUFFIX).0
include $(BUILD_PREBUILT)

include $(CLEAR_VARS)
LOCAL_MODULE := libglapi
LOCAL_MODULE_RELATIVE_PATH := 
LOCAL_LICENSE_KINDS := SPDX-license-identifier-MIT
LOCAL_LICENSE_CONDITIONS := notice
LOCAL_NOTICE_FILE := $(LOCAL_PATH)/LICENSE
LOCAL_MODULE_CLASS := SHARED_LIBRARIES
LOCAL_VENDOR_MODULE := true
LOCAL_STRIP_MODULE := false
LOCAL_SRC_FILES_arm := lib/$(LOCAL_MODULE_RELATIVE_PATH)/$(LOCAL_MODULE).so
LOCAL_SRC_FILES_arm64 := lib64/$(LOCAL_MODULE_RELATIVE_PATH)/$(LOCAL_MODULE).so
LOCAL_MODULE_PATH_32 := $(TARGET_OUT_VENDOR)/lib/
LOCAL_MODULE_PATH_64 := $(TARGET_OUT_VENDOR)/lib64/
LOCAL_CHECK_ELF_FILES := false
LOCAL_MODULE_SUFFIX := .so
LOCAL_MULTILIB := both
LOCAL_MODULE_SYMLINKS=$(LOCAL_MODULE)$(LOCAL_MODULE_SUFFIX).0
include $(BUILD_PREBUILT)

endif
endif
endif
